# Namespace: snet

## snet

Library for building semantic networks.

Source:
  - snet.maia, line 21

### Methods

#### (static) calculateIncidenceFidelity(jsonData, updateWeights) → {object}

Calculate de incidence fidelity index from JSON network data.

##### Parameters:

Name | Type | Description
--- | --- | ---
`jsonData` | object | JSON network data.
`updateWeights` | object | Update weights on the network.

Source:
  - snet.maia, line 554

##### Returns:

Incidence fidelity table.

Type
  object

#### (static) createFromDlf(fileContents, properties, topology, weighted, allowLoops, network) → {object}

Create a JSON graph from a file in DLF format.

##### Parameters:

Name | Type | Description
--- | --- | ---
`fileContents` | string | DLF file contents.
`properties` | object | Network properties (n, m and directed).
`topology` | string | Network topology. It can be: chain, circle or clique.
`weighted` | boolean | The created network must be weighted based on the number of occurrences of the connections between the vertices.
`allowLoops` | boolean | Allows the existence of loops.
`network` | object | Network previously created to insert new data.

Source:
  - snet.maia, line 27

##### Returns:

A JSON containing the network.

Type
  object

#### (static) createFromJson(jsonData, properties, topology, weighted, allowLoops, network) → {object}

Create a JSON graph from a file in JSON data.

##### Parameters:

Name | Type | Description
--- | --- | ---
`jsonData` | object | JSON data.
`properties` | object | Network properties (n, m and directed).
`topology` | string | Network topology. It can be: chain, circle or clique.
`weighted` | boolean | The created network must be weighted based on the number of occurrences of the connections between the vertices.
`allowLoops` | boolean | Allows the existence of loops.
`network` | object | Network previously created to insert new data.

Source:
  - snet.maia, line 299

##### Returns:

A JSON containing the network.

Type
  object